diff -urNX .diffex linux-2.6.6/arch/ppc/kernel/time.c linux-2.6.6-progress/arch/ppc/kernel/time.c
--- linux-2.6.6/arch/ppc/kernel/time.c	2004-06-07 11:44:10.000000000 +0100
+++ linux-2.6.6-progress/arch/ppc/kernel/time.c	2004-06-11 19:44:15.000000000 +0100
@@ -306,6 +306,8 @@
 	time_t sec, old_sec;
 	unsigned old_stamp, stamp, elapsed;
 
+	if (ppc_md.progress) ppc_md.progress("time_init:ENTER", 0xd04);
+
         if (ppc_md.time_init != NULL)
                 time_offset = ppc_md.time_init();
 
@@ -359,6 +361,8 @@
         }
         set_normalized_timespec(&wall_to_monotonic,
                                 -xtime.tv_sec, -xtime.tv_nsec);
+
+	if (ppc_md.progress) ppc_md.progress("time_init:EXIT", 0xd05);
 }
 
 #define FEBRUARY		2
diff -urNX .diffex linux-2.6.6/arch/ppc/platforms/residual.c linux-2.6.6-progress/arch/ppc/platforms/residual.c
--- linux-2.6.6/arch/ppc/platforms/residual.c	2004-06-11 19:52:31.000000000 +0100
+++ linux-2.6.6-progress/arch/ppc/platforms/residual.c	2004-06-11 19:40:48.000000000 +0100
@@ -921,7 +921,9 @@
 {
 	PPC_DEVICE *isapic;
 	PnP_TAG_PACKET *pkt;
-	unsigned int addr;
+	unsigned int addr = 0;
+
+	if (ppc_md.progress) ppc_md.progress("residual_isapic_addr:ENTER", 0xd00);
 
 	isapic = residual_find_device(~0, NULL, SystemPeripheral,
 				      ProgrammableInterruptController,
@@ -945,9 +947,9 @@
 
 	addr = ld_le32((unsigned int *) (p.PPCData + 4));
 #undef p
-	return addr;
 unknown:
-	return 0;
+	if (ppc_md.progress) ppc_md.progress("residual_isapic_addr:EXIT", 0xd01);
+	return addr;
 }
 
 PnP_TAG_PACKET *PnP_find_packet(unsigned char *p,
diff -urNX .diffex linux-2.6.6/arch/ppc/syslib/i8259.c linux-2.6.6-progress/arch/ppc/syslib/i8259.c
--- linux-2.6.6/arch/ppc/syslib/i8259.c	2004-01-09 06:59:33.000000000 +0000
+++ linux-2.6.6-progress/arch/ppc/syslib/i8259.c	2004-06-11 19:42:44.000000000 +0100
@@ -161,6 +161,8 @@
 {
 	unsigned long flags;
 
+	if (ppc_md.progress) ppc_md.progress("i8259_init:ENTER", 0xd02);
+
 	spin_lock_irqsave(&i8259_lock, flags);
 	/* init master interrupt controller */
 	outb(0x11, 0x20); /* Start init sequence */
@@ -193,4 +195,6 @@
 
 	if (intack_addr != 0)
 		pci_intack = ioremap(intack_addr, 1);
+
+	if (ppc_md.progress) ppc_md.progress("i8259_init:EXIT", 0xd03);
 }
diff -urNX .diffex linux-2.6.6/arch/ppc/syslib/todc_time.c linux-2.6.6-progress/arch/ppc/syslib/todc_time.c
--- linux-2.6.6/arch/ppc/syslib/todc_time.c	2004-06-07 11:44:24.000000000 +0100
+++ linux-2.6.6-progress/arch/ppc/syslib/todc_time.c	2004-06-11 19:45:43.000000000 +0100
@@ -191,6 +191,8 @@
 {
 	u_char	cntl_b;
 
+	if (ppc_md.progress) ppc_md.progress("todc_time_init:ENTER", 0xd06);
+
 	if (!ppc_md.rtc_read_val)
 		ppc_md.rtc_read_val = ppc_md.nvram_read_val;
 	if (!ppc_md.rtc_write_val)
@@ -263,6 +265,8 @@
 		todc_write_val(todc_info->control_a, cntl_a);
 	}
 
+	if (ppc_md.progress) ppc_md.progress("todc_time_init:EXIT", 0xd07);
+
 	return 0;
 }
 
